import request from '@/utils/request'

// 查询预约作业票台账列表
export function listBookingworkticket(query) {
  return request({
    url: '/invoice/bookingworkticket/list',
    method: 'get',
    params: query
  })
}

// 查询预约作业票台账详细
export function getBookingworkticket(id) {
  return request({
    url: '/invoice/bookingworkticket/' + id,
    method: 'get'
  })
}

// 新增预约作业票台账
export function addBookingworkticket(data) {
  return request({
    url: '/invoice/bookingworkticket',
    method: 'post',
    data: data
  })
}

// 修改预约作业票台账
export function updateBookingworkticket(data) {
  return request({
    url: '/invoice/bookingworkticket',
    method: 'put',
    data: data
  })
}

// 删除预约作业票台账
export function delBookingworkticket(id) {
  return request({
    url: '/invoice/bookingworkticket/' + id,
    method: 'delete'
  })
}

// 导出预约作业票台账
export function exportBookingworkticket(query) {
  return request({
    url: '/invoice/bookingworkticket/export',
    method: 'get',
    params: query
  })
}

// 生成word并预览作业票
export function seeBookingworkticket(query) {
  return request({
    url: '/invoice/bookingworkticket/word',
    method: 'post',
    params: query
  })
}